Name: gnustep-base
Version: 1.14.1
Release: alt6
Serial:1

Summary: GNUstep Base library package

License: LGPL
Group: Development/Other
Url: http://www.gnustep.org/

Packager: Sergey Alembekov <rt@altlinux.ru> 

Source: %name-%version.tar
Source1: %name.init

BuildRequires: gnustep-make gnustep-make-devel libgnutls-devel libssl-devel
BuildRequires: gcc-objc pkgconfig
BuildRequires: libxml2-devel libxslt-devel zlib-devel libffi-devel
Requires: gnustep-make >= 2.0.6-alt4 glibc-locales glibc-gconv-modules


%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.
Summary: Dynamic libraries from %name
Group: System/Libraries

%description
Dynamic libraries from %name.

%package devel
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: gnustep-base >= %version

%description devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%define _libexecdir %prefix/libexec

%build
%undefine __libtoolize
export CFLAGS="%optflags $(pkg-config --cflags libffi)"
%configure \
	--libexecdir=%_prefix/libexec \
	--enable-pass-arguments \
	--with-openssl-include=%_includedir/openssl \
	--with-openssl-library=/%_lib/ 

%__make 

%install
%__make install \
	INSTALL_ROOT_DIR=%buildroot \
	GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
	DESTDIR=%buildroot

%__install -d %buildroot%_initdir
sed -e "s!@TOOLSARCHDIR@!%prefix/System/Tools!" %SOURCE1 > %buildroot%_initdir/gdomap
rm -Rf %buildroot%_libexecdir/GNUstep/Libraries/gnustep-base/Versions/1.14/Resources/NSTimeZones/

# It is the file in the package whose name matches the format emacs or vim uses 
# for backup and autosave files. It may have been installed by  accident.
find $RPM_BUILD_ROOT \( -name '*.swp' -o -name '#*#' -o -name '*~' \) -print -delete
# failsafe cleanup if the file is declared as %%doc
find . \( -name '*.swp' -o -name '#*#' -o -name '*~' \) -print -delete

%post
grep -q '^gdomap' /etc/services \
|| (echo "gdomap 538/tcp # GNUstep distributed objects" >> /etc/services \
&& echo "gdomap 538/udp # GNUstep distributed objects" >> /etc/services)


%postun
mv -f /etc/services /etc/services.orig
grep -v "^gdomap 538" /etc/services.orig > /etc/services
rm -f /etc/services.orig

%files
%_initdir/gdomap
%doc ANNOUNCE COPYING COPYING.LIB ChangeLog*
%doc NEWS README
%_libdir/libgnustep-base.so.*
%_bindir/*
%_libexecdir/GNUstep/*
%_man1dir/*
%_man8dir/*

%files devel
%_datadir/GNUstep/Makefiles/Additional/base.make
%_libdir/libgnustep-base.so
%_includedir/Foundation
%_includedir/GNUstepBase
%_includedir/gnustep
 
%changelog
* Mon Jan 31 2011 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt6
- ALT bug #4769

* Sun Aug 22 2010 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt5
- rebuild with new libffi
- fix repocop warning rpm-obsolete-self

* Thu Jan 14 2010 Repocop Q. A. Robot <repocop@altlinux.org> 1:1.14.1-alt4.qa1
- NMU (by repocop): the following fixes applied:
  * backup-file-in-package for gnustep-base
  * postclean-05-filetriggers for spec file

* Fri Apr 10 2009 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt4
- add missed requires 
- remove unneeded NSTimeZones

* Mon Apr 06 2009 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt3
- rebuild with gnustep-make using fhs mode

* Fri Mar 27 2009 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt2
- rebuild with gnustep-make using flattened mode
- fix initscript

* Wed Sep 03 2008 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt1.3
- chmod libgnustep-base.1.14.1 to 644 from 600

* Tue Aug 05 2008 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt1.2
- downgrade to version 1.14.1 becouse of SOAP incompatibility 
- fix x86_64 build
- TODO: initscript fix

* Tue Jul 15 2008 Sergey Alembekov <rt@altlinux.ru> 1.16.3-alt1.1
- version update
- add changelog from old orphaned package
- remove using ld.conf by copying *.so to %_libdir

* Thu Jul 03 2008 Sergey Alembekov <rt@altlinux.ru> 1.16.2-alt1
- build for ALTLinux

* Sat Nov 05 2005 Vitaly Lipatov <lav@altlinux.ru> 1.11.1-alt0.1
- initial build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
